Ubuntu

Unable to open files after system wakeup - INFO: task XXXXX:5935 blocked for more than 120 seconds.

Reported by MichaelB on 2012-09-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hi,

I have a big problem on Ubuntu 12.04.1 with acroread, evince, gedit, etc. This happen after the wakeup (system was suspend)

If i click to open a pdf file in my exemple, acroread open but freezed for some minutes. If i open the document with evince, nothing appear but process is running. After some minutes document appear to the screen... like is unblocked...

In /var/log/syslog appear that:

....
Sep 11 15:28:28 dir1-desktop kernel: [13523.711071] INFO: task acroread:5935 blocked for more than 120 seconds.
Sep 11 15:28:28 dir1-desktop kernel: [13523.711075] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Sep 11 15:28:28 dir1-desktop kernel: [13523.711077] acroread D ffffffff81806200 0 5935 1 0x00020000
Sep 11 15:28:28 dir1-desktop kernel: [13523.711081] ffff88005d291808 0000000000200082 0000000000000000 0000000000000000
Sep 11 15:28:28 dir1-desktop kernel: [13523.711084] ffff88005d291fd8 ffff88005d291fd8 ffff88005d291fd8 0000000000013780
Sep 11 15:28:28 dir1-desktop kernel: [13523.711087] ffff880120f49700 ffff880120e0c500
....

Is just not usable like that because the system have to use suspend mode. I don't know if is a Kernel problem or CIFS.

Thanks,
Michael

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: evince 3.4.0-0ubuntu1.3
ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
Uname: Linux 3.2.0-30-generic x86_64
ApportVersion: 2.0.1-0ubuntu13
Architecture: amd64
Date: Tue Sep 18 13:17:51 2012
ExecutablePath: /usr/bin/evince
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_CH.UTF-8
 SHELL=/bin/bash
SourcePackage: evince
UpgradeStatus: Upgraded to precise on 2012-06-18 (92 days ago)
XsessionErrors:
 (compiz:2189): GConf-CRITICAL **: gconf_client_add_dir: assertion `gconf_valid_key (dirname, NULL)' failed
 (remmina:2229): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates_libgtk_only: assertion `window->update_and_descendants_freeze_count > 0' failed

MichaelB (mrbou) wrote :
affects: evince (Ubuntu) → ubuntu
MichaelB (mrbou) on 2012-09-24
summary: - Unable to open files after system wakeup - INFO: task acroread:5935
- blocked for more than 120 seconds.
+ Unable to open files after system wakeup - INFO: task XXXXX:5935 blocked
+ for more than 120 seconds.
Book 'em Dano (heymrdjd) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. We need some more information from you before we can start working on this bug.

Please run the following command which will attach necessary information:

  apport-collect 1052446
if you are using Karmic Koala (9.10) or newer, or

  apport-collect -p linux-image-`uname -r` BUGNUMBER
if you are using Hardy Heron (8.04)

Bear in mind that you may need to install the python-launchpadlib package from the universe repository with 'sudo apt-get install python-launchpadlib'. Additionally, when prompted to give apport-collect permissions for Launchpad you will need to give it at least the ability to "Change Non-Private" data as it will be adding information to your bug report.

If you are using an older release or cannot use apport please at least add the following information (pay attention to lspci's additional options):
First run the following commands:
1) uname -a > uname-a.log
2) dmesg > dmesg.log
3) sudo lspci -vvnn > lspci-vvnn.log
4) cat /proc/version_signature > version.log
then attach the files separately to the bug report (not pasted into comments or tar/zip-ed).

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies. Thanks in advance!

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc7-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
MichaelB (mrbou) wrote :

Ok i installed kernel 3.6 RC7 on ubuntu 12.04.1 and will test in the next few days.

MichaelB (mrbou) on 2012-10-27
tags: added: kernel-fixed-upstream
removed: needs-upstream-testing
MichaelB (mrbou) wrote :

This bug still persist with Kernel 3.6.1... I just updated to the last kernel 3.6.6 and will see.

tags: added: kernel-bug-exists-upstream
removed: kernel-fixed-upstream
MichaelB (mrbou) wrote :

Do not work with kernel 3.6.6 too.. I don't know what to do now.. this is our Ubuntu test desktop in a enterprise from 2 years :-(

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers